﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Helios.Models;
using Helios.Source;
using Microsoft.AspNetCore.Mvc;

// For more information on enabling MVC for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860

namespace Helios.Controllers
{
    public class ConfiguratorController : Controller
    {
        private readonly ConfiguratorService _service;

        public ConfiguratorController(ConfiguratorService service)
        {
            _service = service;
        }

        public IActionResult Index()
        {
            return View();
        }

        public ActionResult ConfiguratorResult(ConfiguratorInput input)
        {
            var model = _service.GetResults(input);

            return View(model);
        }

        public ActionResult PanelDetails(PanelPerformance panel)
        {
            

            return View(panel);
        }

    }
}

